A150 Pauses print at height, but cannot resume after filament change

I’m trying to print one side of a borg cube (Borg Cube glow in the dark by strueman1 - Thingiverse) and trying to change filament from translucent to black mid-print.

As Luban does not have the option to pause, I used Cura to add a pause at height of 1.4mm.

(I am using SnapMaker A150. I have reported the same issue in Cura forums because it could be from gcode generation or gcode execution) - Cura 4.11.0 pauses print at height, but cannot resume after filament change - Ultimaker Cura - Ultimaker Community of 3D Printing Experts

The Android SnapFab app crashed trying to parse the gcode first time around. I upgraded Luban to latest 4.0.3 and Cura to latest 4.11.0 last night, and this fixed the parsing issue.

However, Printing has strangely just paused (at 1.4mm), but the A150 screen must think it is printing, because it shows Pause/Stop buttons.

Any ideas?

What gcode is the pause using, M0/M1? If so, those are unsupported. Use M600.

Thanks - looks like it is using M0.

I tried editing the gcode and starting with what is below (after the failed filament change).
But it tried to start printing about 20mm above the bed, instead of 1.48mm.

I think this was the problem:
M82 ;absolute extrusion mode

Would be great to understand what went wrong here!

;FLAVOR:Marlin
;TIME:51938
;Filament used: 23.3799m
;Layer height: 0.16
;MINX:2.578
;MINY:4.698
;MINZ:0.2
;MAXX:157.422
;MAXY:155.302
;MAXZ:6.6
;POSTPROCESSED
;Generated with Cura_SteamEngine 4.11.0
M82 ;absolute extrusion mode
M109 S200 ; resume temperature
G1 F300 Z1.48
G1 F9000 X7.644 Y9.057

I tried using M600, but my SnapMaker also hung at this point. The print head was paused, the screen showed buttons for Stop and Pause. Hitting Pause and then cancel did not help unblock it.

Well, M600 is the official command, see here: Add Command `M600` in Your G-Code File

If it’s not working contact support, perhaps the developers need to fix a bug.

1 Like

What firmware version are you running? You are updated?
M600 has only been supported on the last few versions.

-S

2 Likes

OMG! My SnapMaker is running 1.9.x.
I assumed it would be pretty up-to-date as I only bought it 2 months ago. Will upgrade to Snapmaker2_V1.13.2 from https://www.snapmaker.com/snapmaker-2/downloads

@datamystic they pretty much load it with a default firmware version, then send out the units. They don’t ever update newly manufactured machines to the latest version, dumb I know.